<?php
/* Autor...:  */
/* Esquema.: MST_RelacionReferenciaProducto.xml */
/* Generado: 2024-08-07 06:49:08 */

/* Metodos de acceso a los campos de la tabla MST_RelacionReferenciaProducto */
abstract class BaseMST_RelacionReferenciaProductoBN
{
    /* Campos de la tabla */
    private $i_IdReleacion;    // IdReleacion: ( no definido )
    private $i_IdReferencia;    // IdReferencia: ( no definido )
    private $i_IdProveedor;    // IdProveedor: ( no definido )
    private $i_IdColor;    // IdColor: ( no definido )
    private $i_IdCatTalla;    // IdCatTalla: ( no definido )
    private $i_IdTalla;    // IdTalla: ( no definido )
    private $s_IdItem;    // IdItem: ( no definido )

    /* Establece el valor del campo IdReleacion */
    public function setIdReleacion( $i_IdReleacion )
    {
        $this->i_IdReleacion = $i_IdReleacion;
    }

    /* Obtiene el valor del campo IdReleacion */
    public function getIdReleacion()
    {
        return $this->i_IdReleacion;
    }

    /* Establece el valor del campo IdReferencia */
    public function setIdReferencia( $i_IdReferencia )
    {
        $this->i_IdReferencia = $i_IdReferencia;
    }

    /* Obtiene el valor del campo IdReferencia */
    public function getIdReferencia()
    {
        return $this->i_IdReferencia;
    }

    /* Establece el valor del campo IdProveedor */
    public function setIdProveedor( $i_IdProveedor )
    {
        $this->i_IdProveedor = $i_IdProveedor;
    }

    /* Obtiene el valor del campo IdProveedor */
    public function getIdProveedor()
    {
        return $this->i_IdProveedor;
    }

    /* Establece el valor del campo IdColor */
    public function setIdColor( $i_IdColor )
    {
        $this->i_IdColor = $i_IdColor;
    }

    /* Obtiene el valor del campo IdColor */
    public function getIdColor()
    {
        return $this->i_IdColor;
    }

    /* Establece el valor del campo IdCatTalla */
    public function setIdCatTalla( $i_IdCatTalla )
    {
        $this->i_IdCatTalla = $i_IdCatTalla;
    }

    /* Obtiene el valor del campo IdCatTalla */
    public function getIdCatTalla()
    {
        return $this->i_IdCatTalla;
    }

    /* Establece el valor del campo IdTalla */
    public function setIdTalla( $i_IdTalla )
    {
        $this->i_IdTalla = $i_IdTalla;
    }

    /* Obtiene el valor del campo IdTalla */
    public function getIdTalla()
    {
        return $this->i_IdTalla;
    }

    /* Establece el valor del campo IdItem */
    public function setIdItem( $s_IdItem )
    {
        $this->s_IdItem = $s_IdItem;
    }

    /* Obtiene el valor del campo IdItem */
    public function getIdItem()
    {
        return $this->s_IdItem;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdReleacion' => $this->getIdReleacion(),
            'IdReferencia' => $this->getIdReferencia(),
            'IdProveedor' => $this->getIdProveedor(),
            'IdColor' => $this->getIdColor(),
            'IdCatTalla' => $this->getIdCatTalla(),
            'IdTalla' => $this->getIdTalla(),
            'IdItem' => $this->getIdItem(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto MST_RelacionReferenciaProductoBN desde un RecordSet */
    public static function retrieveByRs( $o_MST_RelacionReferenciaProductoRs )
    {
        $o_MST_RelacionReferenciaProductoBN = new MST_RelacionReferenciaProductoBN();
        $o_MST_RelacionReferenciaProductoBN->setIdReleacion( ( integer ) $o_MST_RelacionReferenciaProductoRs[ "IdReleacion" ] );
        $o_MST_RelacionReferenciaProductoBN->setIdReferencia( ( integer ) $o_MST_RelacionReferenciaProductoRs[ "IdReferencia" ] );
        $o_MST_RelacionReferenciaProductoBN->setIdProveedor( ( integer ) $o_MST_RelacionReferenciaProductoRs[ "IdProveedor" ] );
        $o_MST_RelacionReferenciaProductoBN->setIdColor( ( integer ) $o_MST_RelacionReferenciaProductoRs[ "IdColor" ] );
        $o_MST_RelacionReferenciaProductoBN->setIdCatTalla( ( integer ) $o_MST_RelacionReferenciaProductoRs[ "IdCatTalla" ] );
        $o_MST_RelacionReferenciaProductoBN->setIdTalla( ( integer ) $o_MST_RelacionReferenciaProductoRs[ "IdTalla" ] );
        $o_MST_RelacionReferenciaProductoBN->setIdItem( $o_MST_RelacionReferenciaProductoRs[ "IdItem" ] );
        return $o_MST_RelacionReferenciaProductoBN;
    }
}
?>